#define NIBFILE_RUNTIME_DATA (1)
#define NIBFILE_IB_DATA (4)

#define NIBRUNTIME_NIBDATA (1)
#define NIBRUNTIME_ICONS (2)
#define NIBRUNTIME_SOUNDS (3)

#define NIBDATA_CONNECT_TARG (0)
#define NIBDATA_CONNECT_OUTLET (1)

struct	nibObj {
			const char	*name;
			id			obj;
			id			parent;
	};

struct	nibCon {
			int			type;
			const char	*name;
			id			from;
			id			to;
	};


@interface HeaderClass:Object
{
}
- actions;
- addAction:mystery;
- addOutlet:mystery;
- (const char *)className;
- (const char *)fileName;
- (const char *)iconName;
- (const char *)inspectorName;
- line;
- outlets;
- str;
@end


@interface NibData:Object
{
}
- classOfRoot;
- getFirstWindow;
- instantiateCustomViews;
- nibInstantiateIn:mystery1 owner:mystery2;
- object:mystery1 isConnectedTo:mystery2;
- objectAt:(unsigned) i;
- objectList;
- objectWithName:mystery1;
- paletteView;
- setVisibleWindows:mystery1;
- uniqueNames;
@end

@interface CustomObject:Object
{
}
- awake;
- (const char *)className;
- free;
- init;
- (const char *)inspectorName;
- nibInstantiate;
- (const char *)nibPrintName;
- read:mystery1;
- setClassName: (const char *)mystery1;
- write:mystery1;
@end
